Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5319 - Kernel compiling problem in rawhide-release-19990917-1.noarch.rpm
Summary: Kernel compiling problem in rawhide-release-19990917-1.noarch.rpm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel
Version: 1.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-23 06:37 UTC by Jaroslaw Sosnicki
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-06 16:54:48 UTC


Attachments (Terms of Use)

Description Jaroslaw Sosnicki 1999-09-23 06:37:51 UTC
When I try to build kernel after
make menuconfig
make dep
make bzImage

I am getting folowin error messahe:

make -C  kernel
make[1]: Entering directory `/u00/src/linux-2.2.12/kernel'
make all_targets
make[2]: Entering directory `/u00/src/linux-2.2.12/kernel'
gcc -D__KERNEL__ -I/u00/src/linux-2.2.12/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer
-fno-strict-aliasing -D__SMP__ -pipe -fno-strength-reduce
-m486 -malign-loops=2 -malign-jumps=2 -malign-functions=2
-DCPU=686   -DEXPORT_SYMTAB -c signal.c
gcc -D__KERNEL__ -I/u00/src/linux-2.2.12/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer
-fno-strict-aliasing -D__SMP__ -pipe -fno-strength-reduce
-m486 -malign-loops=2 -malign-jumps=2 -malign-functions=2
-DCPU=686   -DEXPORT_SYMTAB -c ksyms.c
ksyms.c:127: `iget_in_use' undeclared here (not in a
function)
ksyms.c:127: initializer element for
`__ksymtab_iget_in_use.value' is not constant
make[2]: *** [ksyms.o] Error 1
make[2]: Leaving directory `/u00/src/linux-2.2.12/kernel'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/u00/src/linux-2.2.12/kernel'
make: *** [_dir_kernel] Error 2

Any ideas???

Comment 1 Bill Nottingham 1999-09-23 13:53:59 UTC
what kernel version? 2.2.12-12?

Comment 2 Jaroslaw Sosnicki 1999-09-23 15:22:59 UTC
I am trying to build kernel-2.2.12-11smp
Here isa list of RPMS's that I downloaded from rawhide:
kernel-2.2.12-10.i386.rpm	   kernel-pcmcia-cs-2.2.12-12.i386.rpm
kernel-2.2.12-10.i586.rpm	   kernel-smp-2.2.12-10.i386.rpm
kernel-2.2.12-11.i686.rpm	   kernel-smp-2.2.12-10.i586.rpm
kernel-BOOT-2.2.12-11.i386.rpm	   kernel-smp-2.2.12-10.i686.rpm
kernel-doc-2.2.12-10.i386.rpm	   kernel-source-2.2.12-11.i386.rpm
kernel-headers-2.2.12-12.i386.rpm  kernel-utils-2.2.12-10.i386.rpm
kernel-ibcs-2.2.12-10.i386.rpm	   kernelcfg-0.5-5.i386.rpm

Comment 3 Michael K. Johnson 1999-09-25 00:09:59 UTC
Probably depends on your config, since it obviously doesn't happen
with our default config.

Comment 4 Cristian Gafton 1999-10-06 16:54:59 UTC
should be fixed in the current kernels...


Note You need to log in before you can comment on or make changes to this bug.